      program nonlin
c Integrere ikke-lin. svingeligningen med eksplisit Euler
      parameter(y0=1.,u0=1.,itemx=100000,del=0.0001,om=1.,bet=-1.1)
      yn=y0
      un=u0
      deo=del*om**2
      beo=del*bet
      do ite=1,itemx
      ynp1=yn+del*un
      unp1=un-deo*yn-beo*yn**3
      write(*,*) ynp1,unp1
      yn=ynp1
      un=unp1
      enddo
      end 
